Ajax Edit Commentsフリー版のバージョンアップ-#2

投稿アップデート情報  追記2(1/27)  追記3(1/30)  追記4(2/4)  追記5(2013/1/12)  追記6(1/25)

追記5(2013/1/12):
 うれしいことに, Ron が戻ってきて, v.5.0.13.0 がリリースされた。試してみたらこれは,楽に動くようだ。 12 日現在,日本語化ファイルは旧いものしか同梱されていないので, v.5.0.13.0 用をここに置いた。

追記6(1/25):
 最新版の日本語化ファイルは,右下の「いろいろ」のところ,あるいは,ここから落とせるように変更した。

———————————————————————————————————————————————
 昨年の12月16日に,Ajax Edit Commentsのサポートから,

As of January 1, 2012, we will no longer be supporting the Ajax Edit Comments plugin as a premium plugin. We will be uploading the full version of the plugin to the WordPress.org repository, where users that wish to continue use can download any future updates for free.

というメールをもらった。で,「有料版を使いたい人は云々」と続くのだが,私は別にほかのものには興味がないので,いつになったら,WordPress.org repositoryにフルバージョンが載るだろうと楽しみにしていた。
 今日になって,ダッシュボードのプラグインのところにアップデートの通知があったので見に行ったら,Ajax Edit Comments v5.0.7.0 が出ていた。おおーッ,ということでさっそくアップデートした。

       WordPress2.83.1以上が必要で,3.1.1にも対応。
         スクリプト内は3.1以上になっていた。ごめんなさい。(1/28訂正)
       最終更新: 2012-1-19   になっている。

 必要な方は,Ajax Edit Comments v5.0.7.0用の日本語化ファイルを落として使ってください。
 
 
追記:
 Ajax Edit Commentsとは全然関係ないんだけど,mysql-5.5.20-win32.msiが出てたので,一昨日アップデートした。mysql-5.5.18-win32.msiへの単なる上書きインストールで無問題。

追記2(1/27):
 Ajax Edit Comments v5.0.7.0についてだが,自鯖はWAMP系なので無問題だった。が,LAMP系だと,/wp-content/uploads/aec のパーミッションを707あたりにしておかないと,fopenのWarningが出てまともに使えないようだ。

追記3(1/30):
 コメントを読んでいただくと分かるように,現在少し前のバージョンを使用中である。v5.0.5を上書きして消してしまったのだが,まだ正規のライセンスが切れていなかったことを思い出して,昨年末に出た有料版を本日再ダウンロードしてきた。もしかしたら,近いうちにこれにするかもしれない。フォーラムのコメントを見るとv5.0.5も動かないというものが多いのだが,我が家ではこのバージョンは普通に動いていたので,少なくとも見かけ上は!!

追記4(2/4):
 Ajax Edit Commentsフリー版(v.5.0.7.0)のLAMP系での使い方。,書きました。

「Ajax Edit Commentsフリー版のバージョンアップ-#2」への11件のフィードバック

  1. o6asanさま こんにちは

    ご無沙汰しています(笑)

    Ajax Edit Commentsフリーのお話でしたので、さっそく
    プラグインの自動アップグレードを実行したところ
    コメントを書いたり見たり出来るページのトップに変なのが出るようになりました。
    これがひょっとするとfopenのWarningなのかも?と思いまして
    wp-content/uploads/aec のパーミッションを707にしようとしたのですが
    FTPからの操作は受け付けてくれませんでした・・・・

    仕方ないので新しいのを削除して元に戻しました、残念・・・・。

    1. juneさん,こんにちは。

      御無沙汰しています。電右衛門さんへのコメントにて,懐かしの記事にリンクを貼らせていただきました。事後承諾すみません。

      > 仕方ないので新しいのを削除して元に戻しました、残念・・・・。

      あー,それは残念ですね。

      ToyPark.inのフリーレンタルエリアのことが,もう忘却の彼方に消えているのですが,
       > wp-content/uploads/aec のパーミッションを707にしようとしたのですが
       > FTPからの操作は受け付けてくれませんでした・・・・
      はどうしてでしょうか。もしかしたら,プラグインが勝手に作るフォルダについては,所有者が違っているとかいうことはないですか。
      もしそれだったら,前もって手動でaecを707 or 777で作っておくという方法では回避できないですかね。

  2. o6asanさま こんにちは

    お知恵有り難う御座います
    お書きのように事前にaecを作り707にしておき

    その後自動アップグレードを実行しました

    結果、fopenのWarningは消えました
    \(-o-)/と喜んでさっそくコメントを書き投稿
    そして編集できるか確認しましたところ
    残念・・・・・窓は(コメントエディター)真っ白、手も足も出ませんでした(苦笑)
    取りあえずの、ご報告です(笑)

    1. juneさん,こんばんは。

      そうですか。
      お世話をかけますが,もうしばらくお付き合いください。

      上記のことが可能ということは,やはり出来たディレクトリの所有者が違うように思いますが,ToyParkでは,chownは使えませんでしたっけ。何らかの方法でこれが出きれば,問題を解決する方法があるのではと思うのですが……

      で,もしchownが全く使えない場合について,お聞きしたいことが二つあります。

      ひとつは,aecのパーミッションは777でも変わりはないでしょうか,ということです。
      ふたつ目は,aecの中には,
        comment-editor.css
        edit-comments.css
        admin.js
        ajax-edit-comments.js
        frontend.js
        popups.js

        index.php ができていないといけないのですが,これはできているでしょうか,ということです。

      よろしくお願いいたします。

  3. o6asanさま こんばんは

    こちらこそお世話になりまして、申し訳ございません。

    このバージョンが使えなくても今のところ無問題ですのに
    かえって御迷惑をお掛けしているようですみません。

    0.chownコマンドに関しましては、無知ですので全く分かりません。
    明日にでも理解出来る範囲で調べてみます。

    1.aecのパーミッションに関してですが、777でも変化無しです。
    2.aecの中身ですが、先にお書きの6ファイルは存在しますが
    index.phpは出来ていないようです・・・・。

    事前にaecのパーミッションを変更したりして数回試しましたが、結果は同じでした。

    と言うような、悲しいご報告しかできません事、お許し下さい。

    旧バージョンで特に不自由は感じていませんので、見なかったことにしてください(爆)

    追記です
    IE8でこちらのコメント編集ボタンを押しますと
    Stack overflow at line: 2
    の警告が出ます、今までは出なかったように思います。
    ドーナツでは編集不可になっちゃいました・・・
    古い物に固執したらアカンと言うことでしょうね(涙)

    1. juneさん,こんばんは。

      お手数おかけしました。

      http://wordpress.org/extend/plugins/wp-ajax-edit-comments/
      のフォーラムを見に行ったところ,皆さんいろいろ書いているようです。
      どうもサポートがいい加減になっているようなので,少し不安になって,遅ればせながら対応バージョンを調べてみました。プラグインのページには「WordPress2.8以上が必要で,3.1.1にも対応。」と書いてあるのですが,実際のスクリプト内を除いていましたら,なんと3.1からになっていました。
      すみません。このせいで動かなかったのかもしれません。

      お書きの通りIE8では,Stack overflow at line: 2が出ますね。私のほうで確認したところ,FireFox9.0.1では,表面上は無問題ですが,エラーコンソールを見てみましたら,too much recursionが出ていました。どちらも,jQuery v1.7.1の問題になっているようなのですが,jQueryの問題なのではなくて,Ajax Edit Commentsのスクリプトのどこかに問題があるのではないかと心配で,フォーラムに質問をしておきました。

      何も返事をもらえなかったら,WordPressそのもののフォーラムにでも質問してみようと思います。
      また,報告します。

    2. juneさん,こんにちは。

      旧バージョンに戻してみました。

      しかし,
        > お書きの通りIE8では,Stack overflow at line: 2が出ますね。
        > 私のほうで確認したところ,FireFox9.0.1では,表面上は無問題ですが,
        > エラーコンソールを見てみましたら,too much recursionが出ていました。
      については,新旧関係なく出るようです。私自身は,Ajax Edit Commentsの編集機能もIEも使うことがないので,気づきませんでしたが,かなり前からの問題のようです。

      昔のメールアドレスを探し出して,原作者のRonにも連絡してみましたが,着くかどうかわかりません。もし着いたとしても,すでに彼個人の手は離れている製品なので,対処してくれるかどうか……

  4. o6asan様 こんにちは

    バージョンダウンでもエラーが出るんですか・・・
    気が付きませんでした。

    向こうのほうでも、メッセージを読み込んでくれないようなことが書いてありましたね?
    同じような現象なので、固有の問題ではないんですかね?

    そうそう、私の使っているはWordPress3.1.1ですので
    一応範囲内だと思うんですが・・・・解らないことばかりです。

    1. juneさん,こんばんは。

      > バージョンダウンでもエラーが出るんですか・・・
      > 気が付きませんでした。

      ということは,現使用バージョンでは,juneさんのところから,コメントの編集が普通に使えるということですか。

      現在使っているのは,Version 4.1.8.3 です。直前のバージョンは上書きインストールで消してしまいました(汗)。
      Version 4.1.8.3は,プラグインの元作者の名が入っているバージョンで,完全にAjayとRonの手を離れる前のもののようです。
      このバージョンでは,uploads下のaecディレクトリは,まだ作られません。

      で,フォーラムの他の方の不具合はうちの不具合とは全く別物かもしれません。よくわからないことばかりです。

      > 私の使っているはWordPress3.1.1です

      ああ,そうでした,思い出しました。レンタルサーバのソフトの関係で3.2以降にアップデートできない状態でしたよね。

  5. o6asanさま こんばんは

    >現使用バージョンでは,juneさんのところから,コメントの編集が普通に使えるということですか。
    これについてですが、IE8では試せてません・・・・
    IE9ですと正常に編集画面までは行くのですが
    「半角/全角」キーが効かないと言いますか、フォーカスが外れているのか????
    日本語入力が出来ませんでして、戸惑っています。

    今はIE8で書いていますので、投稿後試させていただきます。

    >レンタルサーバのソフトの関係で3.2以降にアップデートできない状態でしたよね。
    そうなんです、進化が止まりました(笑)

    編集:Stack overflow・・・出ますね。
    でも編集作業に関しては正常なようです
    IE9に関しましては、例のPC以外のテスト?が出来ませんので
    当方固有の問題かも知れませんし・・・・判断しかねます。

    1. juneさん,こんにちは。

      いろいろ検証ありがとうございます。
      結局編集機能の画面で出る不具合がメインですね。
      Stack overflowはググってみるとちょっと気がかりなエラーですが,
      現使用バージョンで一応皆さんの投稿・編集ができるようですので,
      repoにstableなものが出るまで,このままにしておこうと思います。

      IE9についてのエラーが一番問題なのですが,これの検証は私のほうもできませんし…….(苦)

コメントを残す

メールアドレスが公開されることはありません。 * が付いている欄は必須項目です

このサイトはスパムを低減するために Akismet を使っています。コメントデータの処理方法の詳細はこちらをご覧ください